Loading...
Searching...
No Matches
MoleculeModel Class Reference

A model containing molecules. More...

`#include <avogadro/qtgui/moleculemodel.h>`

Inheritance diagram for MoleculeModel:

## Public Slots

void | setActiveMolecule (QObject *active)
void | addItem (Avogadro::QtGui::Molecule *item)
void | removeItem (Avogadro::QtGui::Molecule *item)
void | itemChanged ()
void | loadIcons (bool darkMode)

## Signals

void | moleculeStateChanged (Avogadro::QtGui::Molecule *)

## Public Member Functions

| MoleculeModel (QObject *p=nullptr)
QModelIndex | parent (const QModelIndex &child) const override
int | rowCount (const QModelIndex &parent) const override
int | columnCount (const QModelIndex &parent) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
QVariant | data (const QModelIndex &index, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
void | clear ()
QList< Molecule * > | molecules () const
QList< Molecule * > | activeMolecules () const
QObject * | activeMolecule () const

## Detailed Description

Author
  Marcus D. Hanwell

The documentation for this class was generated from the following file:

- moleculemodel.h